net.corda.core.node

## Class PluginServiceHub.DefaultImpls

- net.corda.core.node.PluginServiceHub.DefaultImpls

- Enclosing interface:
    PluginServiceHub

      public static class PluginServiceHub.DefaultImpls

  A service hub to be used by the `class CordaPluginRegistry`

  See Also:
    `class CordaPluginRegistry`

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.security.KeyPair` | `getLegalIdentityKey(PluginServiceHub $this)`
    `static java.security.KeyPair` | `getNotaryIdentityKey(PluginServiceHub $this)`
    `static TransactionState<?>` | `loadState(PluginServiceHub $this, StateRef stateRef)`
    `static void` | `recordTransactions(PluginServiceHub $this, net.corda.core.transactions.SignedTransaction txs)`
    `static void` | `registerFlowInitiator(PluginServiceHub $this, kotlin.reflect.KClass<?> markerClass, kotlin.jvm.functions.Function1<? super net.corda.core.crypto.Party,? extends net.corda.core.flows.FlowLogic<?>> flowFactory)` Deprecated.
    `static <T extends ContractState> StateAndRef<T>` | `toStateAndRef(PluginServiceHub $this, StateRef ref)`

- - ### Method Detail

    - #### registerFlowInitiator

          public static void registerFlowInitiator(PluginServiceHub $this,
                                                   kotlin.reflect.KClass<?> markerClass,
                                                   kotlin.jvm.functions.Function1<? super net.corda.core.crypto.Party,? extends net.corda.core.flows.FlowLogic<?>> flowFactory)

      Deprecated.

    - #### recordTransactions

          public static void recordTransactions(PluginServiceHub $this,
                                                net.corda.core.transactions.SignedTransaction txs)

    - #### loadState

          public static TransactionState<?> loadState(PluginServiceHub $this,
                                                      StateRef stateRef)

    - #### toStateAndRef

          public static <T extends ContractState> StateAndRef<T> toStateAndRef(PluginServiceHub $this,
                                                                               StateRef ref)

    - #### getLegalIdentityKey

          public static java.security.KeyPair getLegalIdentityKey(PluginServiceHub $this)

    - #### getNotaryIdentityKey

          public static java.security.KeyPair getNotaryIdentityKey(PluginServiceHub $this)